# Uses of Enum Class
java.nio.file.StandardOpenOption

Packages that use StandardOpenOption
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of StandardOpenOption in java.nio.file

Subclasses with type arguments of type StandardOpenOption in java.nio.file
Modifier and Type
Class
Description
`enum`
`StandardOpenOption`
Defines the standard open options.
Methods in java.nio.file that return StandardOpenOption
Modifier and Type
Method
Description
`static StandardOpenOption`
StandardOpenOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StandardOpenOption[]`
StandardOpenOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.